# rust-send_wrapper.spec
# Generated by rust2rpm 22
%bcond_with check
%global debug_package %{nil}

%global crate send_wrapper

Name:           rust-send_wrapper
Version:        0.5.0
Release:        1%{?dist}.5
Summary:        This Rust library implements a wrapper type called SendWrapper which allows you to move around non-Send types between threads, as long as you access the contained value only from within the original thread

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/send_wrapper
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  cargo-rpm-macros

%global _description %{expand:
This Rust library implements a wrapper type called SendWrapper which allows you
to move around non-Send types between threads, as long as you access the
contained value only from within the original thread. You also have to make
sure that the wrapper is dropped from within the original thread. If any of
these constraints is violated, a panic occurs.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE.txt
%license %{crate_instdir}/LICENSE-MIT.txt
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-devel %{_description}

This package contains library source intended for building other packages which
use the "futures" feature of the "%{crate}" crate.

%files       -n %{name}+futures-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-core-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-core" feature of the "%{crate}" crate.

%files       -n %{name}+futures-core-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Oct 11 2022 Oleg Girko <ol@infoserver.lv> - 0.5.0-1
- Initial package
